{
  "id": 1,
  "name": "money transfer",
  "context": {
    "chainId": 59141,
    "url": "https://rpc.sepolia.linea.build",
    "nbOfExecutions": 50
    //"source": 0x1d80c1698946ee65b6A6B78F468B47f6bd4516f0
  },
  "calls": [
    //round robin money transfer
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "RoundRobinMoneyTransfer",
        "wallet": "new",
        "nbTransfers": 50,
        "nbWallets": 20
      }
    },
    //self tx with random payload  -- does not seem to work ...
    {
      "nbOfExecution": 0,
      "scenario": {
        "scenarioType": "SelfTransactionWithRandomPayload",
        "wallet": "new",
        "nbTransfers": 1,
        "nbWallets": 100,
        "price": 30000,
        "payloadSize": 5000
      }
    },
    //addToStorageMap
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "new",
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0x13B252598e0Ed9E4436467B39eC5E8Bc22584d1c",
          "methodAndParameters": {
            "type": "GenericCall",
            "numberOfTimes": 250,
            "methodName": "addToStorageMap",
            "price": 25000,
            "parameters": [
              {
                "solidityType": "Address",
                "type": "SimpleParameter",
                "value": "15000"
              },
              {
                "solidityType": "Uint256",
                "type": "SimpleParameter",
                "value": "15000"
              }
            ]
          }
        }
      }
    },
    //createStruct
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "new",
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0xdce94FA9142b24a2e6c5f3C3141317c62a2Ad7c4",
          "methodAndParameters": {
            "type": "GenericCall",
            "numberOfTimes": 250,
            "methodName": "createStruct",
            "price": 25000,
            "parameters": [
              {
                "solidityType": "Uint256",
                "type": "SimpleParameter",
                "value": "0"
              }
            ]
          }
        }
      }
    },
    //CreateContract
    {
      "nbOfExecution":50,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "source",
        "contract": {
          "contractCallType": "CreateContract",
          "name": "dummyContract",
          "byteCode": "[encoded data, 4620 characters]"
        }
      }
    },
    //Mint
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "source", // contract 0x9d97700664141F25638463C5F1A024Ea24D902f5 can be called only by the owner
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0x9d97700664141F25638463C5F1A024Ea24D902f5",
          "methodAndParameters": {
            "type": "Mint",
            "numberOfTimes": 100,
            "address": "0x5341E203DDF276B661AdB904D6dEF1AB8944Cdc3",
            "amount": 1
          }
        }
      }
    },
    //BatchMint
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "source", // contract 0x9d97700664141F25638463C5F1A024Ea24D902f5 can be called only by the owner
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0x9d97700664141F25638463C5F1A024Ea24D902f5",
          "methodAndParameters": {
            "type": "BatchMint",
            "numberOfTimes": 100,
            "address": ["0f344eb0ce3ec45c994d7abd7897821632f9619c","0x538791da292d3cdeee10574e4fdaf7d2220476a3","0x2ee8153d412a71663801c2201209891e882bb2a2",
              "0xfa9bff942055cd823843ceeb0b50dc17f5f0f1e8","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e",
              "0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0xa5376f1151a6629281af4a79c8ebb0af60887be7","0x7ec2c4e2e7d7cf7fb84367a318dc17f908c3388d",
              "0xb9d2786314d848c081f68499c93baab90ab18652","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e",
              "0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0x11b75115e902fa43f797d34b5252ef69f604369e","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e",
              "0xb64e5d16e6ec0e15c46dad842d2a1fac765e1bb3","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e",
              "0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e","0xd902a49242f5aefb5743204b929e6a10d01a8df8","0x963911ce50eCf3f292faEA21D3a3ABF678E2FA9e",
              "0xbde4a7da0abf9ab0ebe97648ee2a9ec7713bbb23","0xe3060172919c3f11ef36ec7f05417a2e5c35b947","0x2f06eb7d40585bc87a9374a68a4297f69ec0a1cb"],
            "amount": 1000
          }
        }
      }
    },
    //testIndexedEventEmitting
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "new",
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0xdce94FA9142b24a2e6c5f3C3141317c62a2Ad7c4",
          "methodAndParameters": {
            "type": "GenericCall",
            "numberOfTimes": 250,
            "methodName": "testIndexedEventEmitting",
            "price": 50000,
            "parameters": [
              {
                "solidityType": "Uint256",
                "type": "SimpleParameter",
                "value": "0"
              }
            ]
          }
        }
      }
    },
    //addToStorageMap
    {
      "nbOfExecution": 1,
      "scenario": {
        "scenarioType": "ContractCall",
        "wallet": "new",
        "contract": {
          "contractCallType": "CallExistingContract",
          "contractAddress": "0xdce94FA9142b24a2e6c5f3C3141317c62a2Ad7c4",
          "methodAndParameters": {
            "type": "GenericCall",
            "numberOfTimes": 250,
            "methodName": "addToStorageMap",
            "price": 30000,
            "parameters": [
              {
                "solidityType": "Address",
                "type": "SimpleParameter",
                "value": "0x1d80c1698946ee65b6A6B78F468B47f6bd4516f0"
              },
              {
                "solidityType": "Uint256",
                "type": "SimpleParameter",
                "value": "15000"
              }
            ]
          }
        }
      }
    }
  ]
}
